Summary: Data compression program from GNU
Name: gzip
Version: 1.12
Release: 7%{?dist}
License: GPLv3+ and GFDL
URL: https://www.gzip.org/
Source0: https://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz

Patch0001: patch0001-update-version-copyright-dates.patch
Patch0002: patch0002-reference-CVE-2022-1271-in-News.patch

BuildRequires: gcc, autoconf, automake, make
BuildRequires: xz
Requires(post): info
Requires(preun): info


%description
Gzip is a single-file/stream lossless data compression utility.gzip 
reduces the size of the named files using Lempel–Ziv coding (LZ77).
Whenever possible, each file is replaced by one with the extension 
'.gz'.


%prep
%autosetup -p1


%build
# https://bugzilla.redhat.com/show_bug.cgi?id=667144
export DEFS="NO_ASM"
export CPPFLAGS="-DHAVE_LSTAT"
export CC="%{__cc}"
export CPP="%{__cpp}"
export CXX="%{__cxx}"
autoreconf
%configure
make


%install
%make_install
rm -f %{buildroot}%{_infodir}/dir

# uncompress is provided by ncompress package
rm -f %{buildroot}%{_bindir}/uncompress


%check
make check


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO THANKS 
%{_bindir}/*
%{_mandir}/man1/*.1.gz
%{_infodir}/gzip.info.gz


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue May 16 2023 Shuo Wang <abushwang@tencent.com> - 1.12-4
- remove uncompress

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jun 06 2022 doriscchao <doriscchao@tencent.com> - 1.12-1
- initial gzip, Version 1.12, Release 1

